Get websites
curl --request GET \
--url https://admin.snagsolutions.io/api/websites \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/websites"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/websites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "My Website"
}
],
"hasNextPage": true
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Website
Get websites
Returns a list of websites. Includes optional query parameters for filtering and pagination.
GET
/
api
/
websites
Get websites
Authorizations
Query Parameters
Pagination cursor, start after this ID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Number of items to return
Required range:
1 <= x <= 1000Example:
10
Filter by organization ID
Example:
"123e4567-e89b-12d3-a456-426614174001"
Filter by name
Example:
"My Website"
Was this page helpful?